#!/usr/bin/python3

import unittest
from unittest.mock import patch

import jardin

class TestJardin(unittest.TestCase):
    @patch("selenium.webdriver.Firefox")
    def test_initialize_webdriver_calls_Firefox(self, mockFirefox):
        jardin.initialize_webdriver()

        mockFirefox.assert_called_once()

    @patch("selenium.webdriver.Firefox")
    def test_navigate_to_filegarden(self, mockFirefox):
        jardin.navigate_to_filegarden(mockFirefox)

        mockFirefox.get.assert_called_once_with("https://filegarden.com/login")

    @patch("jardin.initialize_webdriver")
    @patch("jardin.navigate_to_filegarden")
    def test_main_calls_methods_in_correct_order(self,
                                                 mockInitializeWebdriver,
                                                 mockNavigateToFilegarden):
        jardin.main()

        mockInitializeWebdriver.assert_called_once()
        mockNavigateToFilegarden.assert_called_once()

if __name__ == "__main__":
    unittest.main()
